var options = require('./options'),
    request = require('request')

module.exports = function(data, callback) {

    let init = function() {
        return new Promise(function(fulfill, reject) {
            if(!data.beraer) throw('Beraer token is missing...')
            if(!data.section) throw('Section is missing from data Object ...');
            if(!data.server) data.server = options.server
            if(!data.withAssets) data.withAssets = options.withAssets
            if(!data.assets) data.assets = options.assets
        
            const URL = data.server.cmsS + data.server.requestURL + '/' + data.section
            
            request.get({
                headers: {
                    'Content-Type' : 'application/x-www-form-urlencoded',
                    'Authorization': 'Beraer ' + data.beraer
                },
                url: URL,
                form: {
                    assets: data.assets,
                    withAssets: data.withAssets
                }
            },
            (err, res, body) => {
                if(err || err != null) reject({error: true, message: 'Can not connect to http://node.letsnet.hu server ...'})
                else {
                    fulfill(body)
                }
            });
        })
    }

    init()
    .then(function(body) {
        callback(null, body)
    })
    .catch(function(err) {
        callback(err, null)
    })
}